> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/quick-start-with-api/for-market-makers.md).

# For Market Makers

1. Once you receive two login credentials:
   1. Market-Maker credentials — the ones you use to stream orders to the platform
   2. Taker credentials — the ones you use to validate the orders that you have provided&#x20;
2. You need to set up limits, thus your 2 accounts are connected
   1. You may find your IDs to set up limits [here](https://test.finerymarkets.com/settings/profile)
   2. The limit has to be set up on both accounts:
      1. Log in with Taker credentials; go to limits; input the ID of your maker account; set the limit to 100 BTC for both net and gross. Additionally, please validate that your global limit matches the counterparty one.
      2. Log in with Maker credentials and repeat the process with your Taker ID
3. Using your Market-Maker account, place the order (stream your quote). You may place one or more levels using [Add](/api-reference/rest-api/trading/adding-orders/add.md) command. Use only ’postOnly’ and ’limit’ order types.
4. Log in with your Taker account and you will see the orders that you have posted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/quick-start-with-api/for-market-makers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
